[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1
;-| For AI |-------------------------------------------------------------------
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
;-| Super Motions |--------------------------------------------------------

[Command]
name = "kimuchi"
command = ~B, DB, D, DF, F, B, DB, D, DF, F, x
time = 45

[Command]
name = "kimuchi"
command = ~B, DB, D, DF, B, DB, D, DF, x
time = 45

[Command]
name = "kimuchi2"
command = ~D, DF, F, D, DF, F, x
time = 30

[Command]
name = "sakura_c"
command = ~B, DB, D, DF, F, B, DB, D, DF, F, c
time = 45

[Command]
name = "sakura_c"
command = ~B, DB, D, DF, B, DB, D, DF, c
time = 45

[Command]
name = "sakura_b"
command = ~B, DB, D, DF, F, B, DB, D, DF, F, b
time = 45

[Command]
name = "sakura_b"
command = ~B, DB, D, DF, B, DB, D, DF, b
time = 45

[Command]
name = "sakura_a"
command = ~B, DB, D, DF, F, B, DB, D, DF, F, a
time = 45

[Command]
name = "sakura_a"
command = ~B, DB, D, DF, B, DB, D, DF, a
time = 45

[Command]
name = "sakura2_c"
command = ~D, DF, F, D, DF, F, c
time = 30

[Command]
name = "sakura2_b"
command = ~D, DF, F, D, DF, F, b
time = 30

[Command]
name = "sakura2_a"
command = ~D, DF, F, D, DF, F, a
time = 30

[Command]
name = "kobushi_a"
command = ~D, DF, F, D, DF, F, a
time = 30

[Command]
name = "kobushi_b"
command = ~D, DF, F, D, DF, F, b
time = 30

[Command]
name = "kobushi_c"
command = ~D, DF, F, D, DF, F, c
time = 30

[Command]
name = "chokomaka_a"
command = ~D, DB, B, D, DB, B, a
time = 30

[Command]
name = "chokomaka_b"
command = ~D, DB, B, D, DB, B, b
time = 30

[Command]
name = "chokomaka_c"
command = ~D, DB, B, D, DB, B, c
time = 30

;-| Special Motions |------------------------------------------------------

[Command]
name = "fugaku_a"
command = ~B, DB, D, DF, F, a
time = 20

[Command]
name = "fugaku_a"
command = ~B, DB, D, DF, a
time = 20

[Command]
name = "fugaku_b"
command = ~B, DB, D, DF, F, b
time = 20

[Command]
name = "fugaku_b"
command = ~B, DB, D, DF, b
time = 20

[Command]
name = "fugaku_c"
command = ~B, DB, D, DF, F, c
time = 20

[Command]
name = "fugaku_c"
command = ~B, DB, D, DF, c
time = 20

[Command]
name = "guren_a"
command = ~F, D, DF, a
time = 15

[Command]
name = "guren_b"
command = ~F, D, DF, b
time = 15

[Command]
name = "guren_c"
command = ~F, D, DF, c
time = 15

[Command]
name = "gatotsu_a"
command = ~D, DF, F, a
time = 15

[Command]
name = "gatotsu_b"
command = ~D, DF, F, b
time = 15

[Command]
name = "gatotsu_c"
command = ~D, DF, F, c
time = 15

[Command]
name = "bakusai_a"
command = ~D, DB, B, a
time = 15

[Command]
name = "bakusai_b"
command = ~D, DB, B, b
time = 15

[Command]
name = "bakusai_c"
command = ~D, DB, B, c
time = 15

[Command]
name = "IC"
command = ~D, D, c
time = 15

;-| Double Tap |-----------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "dd"
command = D,D
time = 10

;-| 2/3 Button Combination |-----------------------------------------------

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = b+c
time = 1

[Command]
name = "recovery"
command = a+c
time = 1

[Command]
name = "recovery"
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = z+x
time = 1

[Command]
name = "recovery"
command = x+a
time = 1

[Command]
name = "recovery"
command = x+b
time = 1

[Command]
name = "recovery"
command = x+c
time = 1

[Command]
name = "recovery"
command = y+a
time = 1

[Command]
name = "recovery"
command = y+b
time = 1

[Command]
name = "recovery"
command = y+c
time = 1

[Command]
name = "recovery"
command = z+a
time = 1

[Command]
name = "recovery"
command = z+b
time = 1

[Command]
name = "recovery"
command = z+c
time = 1

;-| Dir + Button |---------------------------------------------------------

[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1
[Command]
name = "back_c"
command = /B,c
time = 1
;-| Single Button |---------------------------------------------------------

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------


[Command]
name = "R_Guard"
command = B
time = 1

[Command]
name = "C_R_Guard"
command = DB
time = 1

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdupb"
command = /$UB
time = 1

[Command]
name = "holdupf"
command = /$UF
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "upback"
command = UB
time = 1

[Command]
name = "downback"
command = DB
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "up1"
command = U
[Command]
name = "up1"
command = UB
[Command]
name = "up1"
command = UF


time = 1
[Command]
name = "down"
command = D
time = 1

[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

;=============================================================

[Statedef -1]
;============================================================
;ファイナルメモリー
;============================================================

;耐える乙女の美学
[State -1]
type = ChangeState
value = 4000
triggerall = command = "kimuchi"||var(27)&&command = "kimuchi2"
triggerall = power >= 3000
triggerall = life <= 0.333*const(data.life)
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;ビッグバン打法
[State -1]
type = ChangeState
value = 4100
;triggerall =enemynear,vel y>0&&enemynear,pos y + 12*enemynear,vel y + 66*(0.25 + 0.05*enemynear,const(movement.yaccel)) = [-12,10]
triggerall = command = "bakusai_c"
triggerall = life <= 0.333*const(data.life)
triggerall = var(59)<=0
triggerall = var(30) = 1
triggerall = numtarget(1100)
trigger1 = stateno = 1150
trigger1 = animelemno(0) = 10
trigger1 = target(1100),vel y > 0



;============================================================
;エタニースペシャル
;============================================================
;Lv3 真・乙女の鉄拳
[State -1]
type = ChangeState
value = 3040
triggerall = var(59)<=0
triggerall = command = "kobushi_c"
triggerall = power >= 3000
triggerall = var(30) = 0
triggerall = var(59)<=0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = stateno != 270
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;Lv2 真・乙女の鉄拳
[State -1]
type = ChangeState
value = 3020
triggerall = command = "kobushi_b" || command = "kobushi_c";||command = "a"
triggerall = power >= 2000
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = stateno != 270
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;Lv1 真・乙女の鉄拳
[State -1]
type = ChangeState
value = 3000
triggerall = command = "kobushi_a"||command = "kobushi_b"||command = "kobushi_c"
triggerall = power >= 1000
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = stateno != 270
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;--------------------------------------------
;竹刀

;Lv3 ちょこまかすんなぁ
[State -1]
type = ChangeState
value = 3210
triggerall = command = "chokomaka_c"
triggerall = power >= 3000
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;Lv2 ちょこまかすんなぁ
[State -1]
type = ChangeState
value = 3205
triggerall = command = "chokomaka_b"||command = "chokomaka_c"
triggerall = power >= 2000
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;Lv1 ちょこまかすんなぁ
[State -1]
type = ChangeState
value = 3200
triggerall = command = "chokomaka_a"||command = "chokomaka_b"||command = "chokomaka_c"
triggerall = power >= 1000
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;Lv3 乙女桜
[State -1]
type = ChangeState
value = 3104
triggerall = var(59)<=0
triggerall = command = "sakura_c"||var(27)&&command = "sakura2_c"
triggerall = power >= 3000
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52
trigger5 = stateno = 1301 || stateno = 1305 || stateno = 1308 
trigger5 = movecontact
trigger6 = stateno = 1302 || stateno = 1306 || stateno = 1309
trigger6 = movecontact && animelemno(0) = 2

;Lv2 乙女桜
[State -1]
type = ChangeState
value = 3102
triggerall = command = "sakura_b" || command = "sakura_c"||var(27)&&command = "sakura2_b"||var(27)&&command = "sakura2_c"
triggerall = power >= 2000
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52
trigger5 = stateno = 1301 || stateno = 1305 || stateno = 1308 
trigger5 = movecontact
trigger6 = stateno = 1302 || stateno = 1306 || stateno = 1309
trigger6 = movecontact && animelemno(0) = 2

;Lv1 乙女桜
[State -1]
type = ChangeState
value = 3100
triggerall = command = "sakura_a"||command = "sakura_b"||command = "sakura_c"||var(27)&&command = "sakura2_a"||var(27)&&command = "sakura2_b"||var(27)&&command = "sakura2_c"
triggerall = power >= 1000
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52
trigger5 = stateno = 1301 || stateno = 1305 || stateno = 1308 
trigger5 = movecontact
trigger6 = stateno = 1302 || stateno = 1306 || stateno = 1309
trigger6 = movecontact && animelemno(0) = 2

;==========================================================
;必殺
;==========================================================
;乙女富嶽
[State -1]
type = ChangeState
value = 1000
triggerall = command = "fugaku_a"|| command = "fugaku_b" || command = "fugaku_c"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = stateno != 270
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;竹刀回収
[state -1]
type = changestate
value = 950
triggerall = command = "x"
triggerall = roundstate = 2
triggerall = var(30) = 0
triggerall = var(59)<=0
triggerall = numhelper(1250)
triggerall = helper(1250),stateno = 1270 || helper(1250),stateno = 25001
triggerall = abs(helper(1250),pos x - pos x) < 30
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = [200,499]
trigger2 = stateno != 270
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52


;-----------------
;竹刀
;-----------------

;RF紅蓮竹刀
[State -1]
type = ChangeState
value = 1208
triggerall = command = "guren_c"
triggerall = var(8) = 1 || var(7) >= 200
triggerall = var(7) > 0
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [700,720]
trigger2 = movecontact || var(28) && movereversed > 1

;中紅蓮竹刀
[State -1]
type = ChangeState
value = 1205
triggerall = command = "guren_b" || command = "guren_c"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [700,720]
trigger2 = movecontact || var(28) && movereversed > 1

;弱紅蓮竹刀
[State -1]
type = ChangeState
value = 1202
triggerall = command = "guren_a"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [700,720]
trigger2 = movecontact || var(28) && movereversed > 1

;RF紅蓮竹刀
[State -1]
type = ChangeState
value = 1206
triggerall = command = "guren_c"
triggerall = var(8) = 1 || var(7) >= 200
triggerall = var(7) > 0
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;中紅蓮竹刀
[State -1]
type = ChangeState
value = 1203
triggerall = command = "guren_b" || command = "guren_c"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;弱紅蓮竹刀
[State -1]
type = ChangeState
value = 1200
triggerall = command = "guren_a"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;強乙女富嶽
[State -1]
type = ChangeState
value = 1120
triggerall = command = "fugaku_c"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;中乙女富嶽
[State -1]
type = ChangeState
value = 1110
triggerall = command = "fugaku_b"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;弱乙女富嶽
[State -1]
type = ChangeState
value = 1100
triggerall = command = "fugaku_a"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;RF乙女牙突
[State -1]
type = ChangeState
value = 1307
triggerall = command = "gatotsu_c"
triggerall = var(8) = 1 || var(7) >= 200
triggerall = var(7) > 0
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;中乙女牙突
[State -1]
type = ChangeState
value = 1304
triggerall = command = "gatotsu_b" || command = "gatotsu_c"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;弱乙女牙突
[State -1]
type = ChangeState
value = 1300
triggerall = command = "gatotsu_a"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;RF爆砕鉄拳
[State -1]
type = ChangeState
value = 1402
triggerall = var(8) = 1 || var(7) >= 200
triggerall = var(7) > 0
triggerall = command = "bakusai_c"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;中爆砕鉄拳
[State -1]
type = ChangeState
value = 1401
triggerall = command = "bakusai_b"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;弱爆砕鉄拳
[State -1]
type = ChangeState
value = 1400
triggerall = command = "bakusai_a"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315])||(stateno = [350,360])||(stateno = [500,560])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = [100, 101]
trigger4 = stateno = 52

;爆裂フルスイング
[State -1]
type = ChangeState
value = 1160
;triggerall = enemynear,vel y>0&&enemynear,pos y + 12*enemynear,vel y + 66*(0.25 + 0.05*enemynear,const(movement.yaccel)) = [-12,10]
triggerall = command = "bakusai_b"
triggerall = var(59)<=0
triggerall = var(30) = 1
triggerall = numtarget(1100)
trigger1 = stateno = 1150
trigger1 = animelemno(0) = 10
trigger1 = target(1100),vel y > 0

;乙女バント
[State -1]
type = ChangeState
value = 1170
;triggerall = enemynear,vel y>0&&enemynear,pos y + 12*enemynear,vel y + 72*(0.35 + 0.1*enemynear,const(movement.yaccel)) = [0,9]
triggerall = command = "bakusai_a"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = stateno = 1150
trigger1 = animelemno(0) = 10
trigger2 = stateno = 1151

;=======================================================================
; IC
;=======================================================================

;インスタントチャージ
[State -1]
type = ChangeState
value = 900
triggerall = command = "IC" 
triggerall = var(8) = 1 || var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(30) = 0
triggerall = var(59)<=0 && roundstate = 2
triggerall = (stateno = 270 && movecontact > 1 && enemynear,statetype = A) = 0
trigger1 = (stateno = [200,299]) || (stateno = [400,499])
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = (stateno = [600,620])
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 3001 || stateno = 3021 || stateno = 3041
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 1202 || stateno = 1205 || stateno = 1208
trigger4 = movecontact || var(28) && movereversed > 1 || prevstateno != stateno - 1
trigger4 = animelemno(0) = [5,6]

;インスタントチャージ
[State -1]
type = ChangeState
value = 900
triggerall = command = "IC" 
triggerall = var(8) = 1 || var(7) >= 200
triggerall = var(7) >= 0
triggerall = var(30) = 1
triggerall = var(59)<=0 && roundstate = 2
trigger1 = (stateno = [300,370]) || (stateno = [500,570])||stateno = [700,720]
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = stateno = 1180
trigger3 = stateno = 1201 || stateno = 1204 || stateno = 1207
trigger3 = movecontact || var(28) && movereversed > 1
trigger4 = stateno = 1301 || stateno = 1305 || stateno = 1308 
trigger4 = movecontact || var(28) && movereversed > 1
trigger5 = stateno = 1302 || stateno = 1306 || stateno = 1309
trigger5 = movecontact || var(28) && movereversed > 1
trigger5 = animelemno(0) = 2
trigger6 = stateno = 1400 || stateno = 1401
trigger6 = movecontact || var(28) && movereversed > 1
trigger7 = stateno = 3200 || stateno = 3205 || stateno = 3210
trigger7 = movecontact || var(28) && movereversed > 1

;============================================================
;通常技
;============================================================
;共通

;ダッシュ
[State -1]
type = ChangeState
value = 100
triggerall = command = "FF"
triggerall = statetype = S
triggerall = var(59)<=0
trigger1 = ctrl
trigger2 = stateno = 52
trigger3 = stateno = 101

;後退ダッシュ
[State -1]
type = ChangeState
value = 105
triggerall = command = "BB"
triggerall = statetype = S
triggerall = var(59)<=0
trigger1 = ctrl
trigger2 = stateno = 52
trigger3 = stateno = [100,101]

;空中ダッシュ
[State -1]
type = ChangeState
value = 110
triggerall = Var(10) = 0
triggerall = command = "FF"
triggerall = command != "holddown"
triggerall = var(59)<=0
triggerall = statetype = A
triggerall = Pos Y < -18
trigger1 = (stateno = [600,620]) || stateno = [700,720]
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = ctrl

;空中バックダッシュ
[State -1]
type = ChangeState
value = 115
triggerall = Var(10) = 0
triggerall = command != "holddown"
triggerall = command = "BB"
triggerall = statetype = A
triggerall = Pos Y < -22
triggerall = var(59)<=0
trigger1 = (stateno = [600,620]) || stateno = [700,720]
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = ctrl

;投げ
[State -1]
type = ChangeState
value = 800
triggerall = command = "fwd_c" || stateno = 101 && command = "back_c"
triggerall = p2statetype  != A
triggerall = p2statetype != L
triggerall = var(59)<=0
triggerall = P2bodyDist X <= 10
triggerall = P2Dist Y = [-40,10]
triggerall = var(59)<=0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52


;-----------------------------------------------
;素手
;-----------------------------------------------
;弱攻撃
[State -1]
type = ChangeState
value = 200
triggerall = RoundState = 2
triggerall = command = "a" 
triggerall = command != "holddown"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 400
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 210
triggerall = RoundState = 2
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = p2bodydist X < 40
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 400
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 215
triggerall = RoundState = 2
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [200,210]) || stateno = 400
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;強攻撃
[State -1]
type = ChangeState
value = 220
triggerall = RoundState = 2
triggerall = command = "c"
triggerall = command != "holddown"
 
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [200,215]) || stateno = [400,410]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;弱攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 250
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = stateno = [100,101]

;中攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 260
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = stateno = [100,101]

;強攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 270
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = stateno = [100,101]

;しゃがみ弱攻撃
[State -1]
type = ChangeState
value = 400
triggerall = RoundState = 2
triggerall = command = "a"
triggerall = command = "holddown"
 
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 400
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;しゃがみ中攻撃
[State -1]
type = ChangeState
value = 410
triggerall = command = "b"||var(54) = 2
triggerall = command = "holddown"
 
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = [200,210]) || stateno = 400
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;しゃがみ強攻撃
[State -1]
type = ChangeState
value = 420
triggerall = command = "c"||var(54) = 3
triggerall = command = "holddown"
 
triggerall = NumHelper(1010)!
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = [200, 215]) || stateno = [400, 410]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52


;しゃがみ弱攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 450
triggerall = command = "a"||var(54) = 1
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = stateno = [100,101]

;しゃがみ中攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 460
triggerall = command = "b"||var(54) = 2
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = stateno = [100,101]

;しゃがみ強攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 470
triggerall = var(59)<=0
triggerall = var(30) = 0
triggerall = command = "c"||var(54) = 3
triggerall = command = "holddown"
triggerall = command != "holdback"
trigger1 = stateno = [100,101]

;空中弱攻撃
[State -1]
type = ChangeState
value = 600
triggerall = command = "a"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = A
trigger1 = ctrl 
trigger2 = stateno = 600 
trigger2 = movecontact || var(28) && movereversed > 1

;空中中攻撃
[State -1]
type = ChangeState
value = 610
triggerall = command = "b"||var(54) = 2
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = A
trigger1 = ctrl 
trigger2 = stateno = 600 
trigger2 = movecontact || var(28) && movereversed > 1

;空中強攻撃
[State -1]
type = ChangeState
value = 620
triggerall = command = "c"||var(54) = 3
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = statetype = A
trigger1 = ctrl 
trigger2 = stateno = [600,610] 
trigger2 = movecontact || var(28) && movereversed > 1

;ジャンプ
[State -1]
type = ChangeState
value = 40
triggerall = statetype != A
triggerall = command = "holdup"
triggerall = var(59)<=0
triggerall = var(30) = 0
trigger1 = (stateno = [200,210])||(stateno = [400,410]) || stateno = 470
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = stateno = 215 || stateno = 420
trigger2 = movehit || var(28) && movereversed > 1
trigger3 = stateno = [100,101]

;空中ジャンプ
[State -1]
type = ChangeState
value = 45
triggerall = statetype = A
triggerall = command = "up1"
triggerall = var(1) = 0
triggerall = var(59)<=0
triggerall = var(2) = 0
triggerall = Var(10) = 0
triggerall = pos y < -20
triggerall = var(30) = 0
trigger1 = ctrl
trigger2 = stateno = 52
trigger3 = stateno = [600,620]
trigger3 = movecontact || var(28) && movereversed > 1


;------------------------------------------------------
;竹刀
;------------------------------------------------------
;弱攻撃
[State -1]
type = ChangeState
value = 300
triggerall = RoundState = 2
triggerall = command = "a" 
triggerall = command != "holddown"
triggerall = var(59)<=0
triggerall = var(30) = 1
 
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 310
triggerall = RoundState = 2
triggerall = command = "b"|| var(54) = 2
triggerall = command != "holddown"
 
triggerall = p2bodydist X < 40
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 300 || stateno = 500
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;中攻撃
[State -1]
type = ChangeState
value = 315
triggerall = RoundState = 2
triggerall = command = "b"
triggerall = command != "holddown"
 
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,310]) || stateno = 500
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;強攻撃
[State -1]
type = ChangeState
value = 320
triggerall = RoundState = 2
triggerall = command = "c"
triggerall = command != "holddown"
 
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [300,315]) || stateno = [500,510]
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;弱攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 350
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = stateno = [100,101]

;中攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 360
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = stateno = [100,101]

;強攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 370
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = stateno = [100,101]

;しゃがみ弱攻撃
[State -1]
type = ChangeState
value = 500
triggerall = RoundState = 2
triggerall = command = "a"
triggerall = command = "holddown"
 
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 500
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;しゃがみ中攻撃
[State -1]
type = ChangeState
value = 510
triggerall = command = "b"
triggerall = command = "holddown"
 
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = [300,310]) || stateno = 500
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;しゃがみ強攻撃
[State -1]
type = ChangeState
value = 520
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = [300, 315])||stateno = [500, 510] 
trigger2 = movecontact || var(28) && movereversed > 1
trigger3 = stateno = 52

;しゃがみ弱攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 550
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = stateno = [100,101]

;しゃがみ中攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 560
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = stateno = [100,101]

;しゃがみ強攻撃（ダッシュ）
[State -1]
type = ChangeState
value = 570
triggerall = var(59)<=0
triggerall = var(55)=0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = var(30) = 1
trigger1 = stateno = [100,101]

;空中弱攻撃
[State -1]
type = ChangeState
value = 700
triggerall = command = "a"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = A
trigger1 = ctrl

;空中中攻撃
[State -1]
type = ChangeState
value = 710
triggerall = command = "b"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 700 
trigger2 = movecontact || var(28) && movereversed > 1

;空中強攻撃
[State -1]
type = ChangeState
value = 720
triggerall = command = "c"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [700,710] 
trigger2 = movecontact || var(28) && movereversed > 1


;ジャンプ
[State -1]
type = ChangeState
value = 40
triggerall = statetype != A
triggerall = command = "holdup"
triggerall = var(59)<=0
triggerall = var(30) = 1
trigger1 = (stateno = [300,310])||stateno = 500
trigger1 = movecontact || var(28) && movereversed > 1
trigger2 = stateno = 315 || stateno = 510
trigger2 = movehit || var(28) && movereversed > 1
trigger3 = stateno = [100,101]

;空中ジャンプ
[State -1]
type = ChangeState
value = 45
triggerall = statetype = A
triggerall = command = "up1"
triggerall = var(1) = 0
triggerall = var(59)<=0
triggerall = var(2) = 0
triggerall = Var(10) = 0
triggerall = pos y < -20
triggerall = var(30) = 1
trigger1 = ctrl
trigger2 = stateno = 52
trigger3 = stateno = [700,720]
trigger3 = movecontact || var(28) && movereversed > 1
